For the complete documentation index, see llms.txt. This page is also available as Markdown.

Make Payment

This Section briefs about how to initiate a payment !

Foloosi's React Native SDK provides easy payment collections.

You can use it on the front-end to open payment page or use the actual flow to create Payment Token

Step - 1 - Install dependency with npm package

$ npm install react-native-foloosi --save

Step - 2 - Usage

import Foloosi from 'react-native-foloosi';

var initData = {
  merchantKey: 'YOUR_KEY', // public key
  customColor: '#AB34FD', // make payment page loading color as app color. // optional
};

Foloosi.initSDK(JSON.stringify(initData))

a. Make Payment with order object

You need to give the order id, title, description, currency code, order amount and customer details like name, email and mobile number.

// Customer field is optional.
var orderData = {
  orderAmount: 1.0, // in double format ##,###.##
  orderId: 'orderId', // unique order id
  orderDescription: 'order description', // any description. // optional
  currencyCode: 'AED',
  customerUniqueReference: 'customer reference id', // optional
  country: 'ARE', // mandatory for ios
  postalCode: '000000', //optional
  state: 'Dubai', //optional
  customer: {
    name: 'Test',
    email: '[email protected]',
    mobile: '9876543210',
    address: 'Test Adddddress', // optional
    city: 'Test City', // optional
  },
};

Use the line of code below to make payment with the order data

b. Make Payment with reference token

Initialize api

Get Reference Token

POST https://api.foloosi.com/aggregatorapi/web/initialize-setup

Headers

Name
Type
Description

secret_key*

String

Your Merchant Key get from Foloosi Panel

Request Body

Name
Type
Description

transaction_amount*

Double

currency*

String

customer_unique_identifier

String

customer_mobile

String

customer_email

String

customer_name

String

customer_city

String

customer_address

String

billing_state

String

billing_country

String

billing_postal_code

String

description

String

Product or order information

optional1

String

You can pass additional fields

optional2

String

You can pass additional fields

optional3

String

You can pass additional fields

Use the line of code below to make payment with the reference token

Api Specification

  • Request call must be on POST.

  • This Api will be used to confirm the feature you are about to Use.

  • For Saved Card Payment Method, You need to pass your customer unique details like email,etc. to customer_unique_identifier.

Post Request Body

​

Name
Description

customer_unique_identifier

  1. This is mandatory when you are using saved card payment.

  2. This data must be Unique like email id,customer id, etc.,

Support

Visit https://www.foloosi.com for support requests or email to [email protected].

Developed by

Foloosi Technologies Pvt Ltd.

License

Copyrights (c) 2025 Foloosi

Last updated

Was this helpful?